> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Collection Reference Item



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/weblink-imports
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/weblink-imports:
    post:
      tags:
        - Weblink Imports
      summary: Create Collection Reference Item
      operationId: WeblinkImportsController_createCollectionReferenceItem_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: collectionId
          required: true
          in: path
          schema:
            type: string
        - name: entryId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCollectionReferenceWeblinkImportDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CollectionReferenceWeblinkImportResponseDto
components:
  schemas:
    CreateCollectionReferenceWeblinkImportDto:
      type: object
      properties:
        url:
          type: string
          minLength: 1
          maxLength: 2048
        clientImportId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        entryVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - url
        - clientImportId
        - entryVersion
        - collectionVersion
      additionalProperties: false
    CollectionReferenceWeblinkImportResponseDto:
      type: object
      properties:
        item:
          oneOf:
            - $ref: '#/components/schemas/CollectionCatalogReferenceItemDto'
            - $ref: '#/components/schemas/CollectionSpecTemplateReferenceItemDto'
          discriminator:
            propertyName: kind
        importId:
          type: string
        familyId:
          type: string
        created:
          type: boolean
        entryVersion:
          type: number
        collectionVersion:
          type: number
        unmappedFields:
          type: array
          items:
            $ref: '#/components/schemas/UnmappedWeblinkFieldDto'
      required:
        - item
        - importId
        - familyId
        - created
        - entryVersion
        - collectionVersion
        - unmappedFields
    CollectionCatalogReferenceItemDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - catalog_item
        catalogItemId:
          type: string
        catalogFamilySourceId:
          type: string
          nullable: true
        catalogFamilyName:
          type: string
          nullable: true
        catalogAttributes:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CollectionCatalogReferenceAttributesDto'
        catalogFamilyVersion:
          type: number
          nullable: true
        catalogItemVersion:
          type: number
          nullable: true
        catalogItemSourceVersion:
          type: number
          nullable: true
        id:
          type: string
        referenceCode:
          type: string
          nullable: true
        name:
          type: string
        vendorName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        available:
          type: boolean
        status:
          type: string
          enum:
            - draft
            - pending
            - discontinued
            - approved
        position:
          type: number
        version:
          type: number
        dimensions:
          type: string
          nullable: true
        finish:
          type: string
          nullable: true
        quantity:
          type: string
          nullable: true
        price:
          type: string
          nullable: true
        writableValueFields:
          type: array
          items:
            type: string
            enum:
              - finish
              - dimensions
              - price
        materialsCount:
          type: number
        partsCount:
          type: number
        componentsCount:
          type: number
      required:
        - kind
        - catalogItemId
        - catalogFamilySourceId
        - catalogFamilyName
        - catalogAttributes
        - catalogFamilyVersion
        - catalogItemVersion
        - catalogItemSourceVersion
        - id
        - referenceCode
        - name
        - vendorName
        - sourceLabel
        - imageUrl
        - available
        - status
        - position
        - version
        - dimensions
        - finish
        - quantity
        - price
        - writableValueFields
        - materialsCount
        - partsCount
        - componentsCount
    CollectionSpecTemplateReferenceItemDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - spec_template
        brandStandardId:
          type: string
        brandStandardVersion:
          type: number
          nullable: true
        id:
          type: string
        referenceCode:
          type: string
          nullable: true
        name:
          type: string
        vendorName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        available:
          type: boolean
        status:
          type: string
          enum:
            - draft
            - pending
            - discontinued
            - approved
        position:
          type: number
        version:
          type: number
        dimensions:
          type: string
          nullable: true
        finish:
          type: string
          nullable: true
        quantity:
          type: string
          nullable: true
        price:
          type: string
          nullable: true
        writableValueFields:
          type: array
          items:
            type: string
            enum:
              - finish
              - dimensions
              - price
        materialsCount:
          type: number
        partsCount:
          type: number
        componentsCount:
          type: number
      required:
        - kind
        - brandStandardId
        - brandStandardVersion
        - id
        - referenceCode
        - name
        - vendorName
        - sourceLabel
        - imageUrl
        - available
        - status
        - position
        - version
        - dimensions
        - finish
        - quantity
        - price
        - writableValueFields
        - materialsCount
        - partsCount
        - componentsCount
    UnmappedWeblinkFieldDto:
      type: object
      properties:
        field:
          type: string
        value:
          type: string
      required:
        - field
        - value
    CollectionCatalogReferenceAttributesDto:
      type: object
      properties:
        family:
          type: object
          additionalProperties: true
        item:
          type: object
          additionalProperties: true
        familySource:
          type: object
          nullable: true
          additionalProperties: true
        itemSource:
          type: object
          nullable: true
          additionalProperties: true
      required:
        - family
        - item
        - familySource
        - itemSource

````